mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Policy.EvidenceBase System.Security.Policy.IBuiltInEvidence System.Security.Policy.IIdentityPermissionFactory System.Runtime.InteropServices.ComVisible(true)

The presence of evidence produces a in the grant set. If there is a for , the that corresponds to the evidence is compared to the demanded permission.

The complete URL is considered, including the protocol (HTTP, HTTPS, FTP) and the file. For example, http://www.fourthcoffee.com/process/grind.htm is a complete URL.

URLs can be matched exactly or by a wildcard in the final position. For example, http://www.fourthcoffee.com/process/* is a wildcard URL.

Provides the URL from which a code assembly originates as evidence for policy evaluation. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the URL from which a code assembly originates.

  The URL of origin for the associated code assembly.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added

  Creates a new copy of the evidence object.

  A new, identical copy of the evidence object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.IPermission `` To be added

  Creates an identity permission corresponding to the current instance of the evidence class.

  A for the specified evidence.

  The evidence set from which to construct the identity permission.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Compares the current evidence object to the specified object for equivalence.

  true if the two objects are equal; otherwise, false.

  The evidence object to test for equivalence with the current object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Gets the hash code of the current URL.

  The hash code of the current URL.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Returns a string representation of the current .

  A representation of the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the URL from which the code assembly originates.